Subject: [L1vpn] Re: [OSPF] Fw: Four L1VPN working group last calls

From: Lou Berger <[email-masked]>
Date: Thu, 11 Oct 2007 11:39:21 -0400

Anton,
         I believe someone else made a similar comment (perhaps 
Adrian?).  I agree that the T&L definition should be aligned with the 
common T&L definition. (i.e., Type then length & length only covers size of V.)

Lou

At 11:16 AM 10/11/2007, Anton Smirnov wrote:

>    Hi Adrian, all,
>    I know it is damn close to last call deadline but I wanted to 
> question format of data propagated via OSPF in
>
>http://www.ietf.org/internet-drafts/draft-ietf-l1vpn-ospf-auto-discovery-03.txt
>
>Format of TLVs propagated via L1VPN LSA proposed as:
>
>-----
>3.2. L1VPN INFO TLV
>
>    The following TLV is introduced:
>
>    Name: L1VPN IPv4 Info
>    Type: 1
>    Length: Variable
>
>     0                   1                   2                   3
>     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>    |         L1VPN TLV length      |           L1VPN TLV Type      |
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>...
>
>    TLV length
>       The length of the TLV in bytes, including the 4 bytes of
>       the TLV header.
>-----
>
>So here length comes before TLV type (so strictly speaking it should 
>be called LTV throughout the document) and length includes TLV header.
>Just about every TLV so far standardized to be propagated via OSPF 
>has Type field coming first and length covering only value field 
>(see TLV definitions in TE, GR, RCAP, LLS, tags and whatsnot). 
>Wouldn't it be prudent to avoid divergence and make implementator's 
>life slightly easier to follow the suit? OSPF is used here merely as 
>a transport protocol for L1VPN discovery values so it is better if 
>definition of service fields is more friendly toward existing OSPF practices.
>
>    Thanks,
>
>Anton
>
>
>
>Adrian Farrel wrote:
>>Hi OSPF working group,
>>The L1VPN working group is holding a last call on several drafts. 
>>One of them uses OSPF to advertise L1VPN membership.
>>This I-D has previously been presented to the OSPF working group 
>>and some feedback has been incorporated. We would welcome any 
>>further thoughts during the last call. By preference, please send 
>>comments to the L1VPN list, but anything sent to the OSPF list will 
>>be forwarded.
>>Thanks,
>>Adrian
>>----- Original Message ----- From: "Adrian Farrel" <[email-masked]>
>>To: <[email-masked]>
>>Sent: Thursday, September 27, 2007 8:17 PM
>>Subject: [L1vpn] Four working group last calls
>>
>>>Hi,
>>>
>>>Now that there is a bit of peace and quiet on the CCAMP last 
>>>calls, we would like to hold L1VPN last calls on four I-Ds:
>>>
>>>http://www.ietf.org/internet-drafts/draft-ietf-l1vpn-applicability-basic-mode-02.txt 
>>>
>>>http://www.ietf.org/internet-drafts/draft-ietf-l1vpn-basic-mode-02.txt
>>>http://www.ietf.org/internet-drafts/draft-ietf-l1vpn-bgp-auto-discovery-02.txt 
>>>
>>>http://www.ietf.org/internet-drafts/draft-ietf-l1vpn-ospf-auto-discovery-03.txt 
>>>
>>>
>>>Since there are four drafts, we will make this a three week last 
>>>call. It will complete at 12 noon GMT on 18th October 2007.
>>>
>>>We will be notifying the IDR, OSPF, and CCAMP working groups about 
>>>this last call.
>>>
>>>Thanks,
>>>Adrian, Hamid, and Tomonori
>>
>>_______________________________________________
>>OSPF mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/ospf
>
>_______________________________________________
>OSPF mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ospf
>
>

_______________________________________________
L1vpn mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l1vpn

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 11 Oct 2007 17:08:23 +0100

Hi Anton,

Last call deadline is only the deadline. Your comments are well within.

Yes, as Lou says, I noted that the L should apply only to the V for harmony 
with OSPF.
I completely missed the LTV/TLV thing. Good catch!

Adrian
----- Original Message ----- 
From: "Lou Berger" <[email-masked]>
To: "Anton Smirnov" <[email-masked]>
Cc: "Adrian Farrel" <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Thursday, October 11, 2007 4:39 PM
Subject: Re: [OSPF] Fw: Four L1VPN working group last calls

> Anton,
>         I believe someone else made a similar comment (perhaps Adrian?). 
> I agree that the T&L definition should be aligned with the common T&L 
> definition. (i.e., Type then length & length only covers size of V.)
>
> Lou
>
>>    I know it is damn close to last call deadline but I wanted to question 
>> format of data propagated via OSPF in
>>
>>So here length comes before TLV type (so strictly speaking it should be 
>>called LTV throughout the document) and length includes TLV header.
>>Just about every TLV so far standardized to be propagated via OSPF has 
>>Type field coming first and length covering only value field (see TLV 
>>definitions in TE, GR, RCAP, LLS, tags and whatsnot). Wouldn't it be 
>>prudent to avoid divergence and make implementator's life slightly easier 
>>to follow the suit? OSPF is used here merely as a transport protocol for 
>>L1VPN discovery values so it is better if definition of service fields is 
>>more friendly toward existing OSPF practices.
>>
>>    Thanks,
>>
>>Anton
>>
>>
>>
>>Adrian Farrel wrote:
>>>Hi OSPF working group,
>>>The L1VPN working group is holding a last call on several drafts. One of 
>>>them uses OSPF to advertise L1VPN membership.
>>>This I-D has previously been presented to the OSPF working group and some 
>>>feedback has been incorporated. We would welcome any further thoughts 
>>>during the last call. By preference, please send comments to the L1VPN 
>>>list, but anything sent to the OSPF list will be forwarded.
>>>Thanks,
>>>Adrian
>>>>Now that there is a bit of peace and quiet on the CCAMP last calls, we 
>>>>would like to hold L1VPN last calls on four I-Ds:
>>>>
>>>>Since there are four drafts, we will make this a three week last call. 
>>>>It will complete at 12 noon GMT on 18th October 2007.
>>>>
>>>>We will be notifying the IDR, OSPF, and CCAMP working groups about this 
>>>>last call.
>>>>
>>>>Thanks,

---

From: Anton Smirnov <[email-masked]>
Date: Thu, 11 Oct 2007 08:16:05 -0700

Hi Adrian, all,

-----
3.2. L1VPN INFO TLV

    Name: L1VPN IPv4 Info
    Type: 1
    Length: Variable

     0                   1                   2                   3

    TLV length

So here length comes before TLV type (so strictly speaking it should be 
called LTV throughout the document) and length includes TLV header.
Just about every TLV so far standardized to be propagated via OSPF has 
Type field coming first and length covering only value field (see TLV 
definitions in TE, GR, RCAP, LLS, tags and whatsnot). Wouldn't it be 
prudent to avoid divergence and make implementator's life slightly 
easier to follow the suit? OSPF is used here merely as a transport 
protocol for L1VPN discovery values so it is better if definition of 
service fields is more friendly toward existing OSPF practices.

    Thanks,

Anton

Adrian Farrel wrote:
> This I-D has previously been presented to the OSPF working group and 
> some feedback has been incorporated. We would welcome any further 
> thoughts during the last call. By preference, please send comments to 
> the L1VPN list, but anything sent to the OSPF list will be forwarded.
> 
> Thanks,
> Adrian